Package ru.bitel.bgbilling.modules.bill.common.bean

# Class DocumentPosition

java.lang.Object
ru.bitel.bgbilling.modules.bill.common.bean.DocumentPosition

    public class DocumentPosition
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DocumentPosition()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getAmount()` |
  `java.math.BigDecimal` | `getAmountScaled()` |
  `java.math.BigDecimal` | `getAmountUnscaled()` |
  `int` | `getContractId()` |
  `java.math.BigDecimal` | `getCount()` |
  `int` | `getCountNumsAfterComma()` |
  `int` | `getCountNumsRoundingMode()` |
  `java.util.List<DocumentPosition>` | `getExtractPositions()` |
  `java.lang.String` | `getName()` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `getParams()` |
  `int` | `getPositionId()` |
  `DocumentPositionSpec` | `getPositionSpec()` |
  `java.lang.String` | `getUnit()` |
  `java.lang.String` | `getUnitCode()` |
  `boolean` | `isAwlz()` |
  `boolean` | `isInTotal()` |
  `void` | `setAmount​(java.math.BigDecimal amount)` |
  `void` | `setAmountScaled​(java.math.BigDecimal amountScaled)` |
  `void` | `setAmountUnscaled​(java.math.BigDecimal amountUnscaled)` |
  `void` | `setAwlz​(boolean awlz)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setCount​(java.math.BigDecimal count)` |
  `void` | `setCountNumsAfterComma​(int countNumsAfterComma)` |
  `void` | `setCountNumsRoundingMode​(int countNumsRoundingMode)` |
  `void` | `setExtractPositions​(java.util.List<DocumentPosition> extractPositions)` |
  `void` | `setInTotal​(boolean inSumm)` |
  `void` | `setName​(java.lang.String name)` |
  `void` | `setParams​(java.util.Map<java.lang.String,​java.lang.String> params)` |
  `void` | `setPositionId​(int positionId)` |
  `void` | `setPositionSpec​(DocumentPositionSpec positionSpec)` |
  `void` | `setUnit​(java.lang.String unit)` |
  `void` | `setUnitCode​(java.lang.String unitCode)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentPosition

    public DocumentPosition()

- ## Method Details

  - ### getPositionId

    public int getPositionId()

  - ### setPositionId

    public void setPositionId​(int positionId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String name)

  - ### getAmount

    public java.math.BigDecimal getAmount()

  - ### setAmount

    public void setAmount​(java.math.BigDecimal amount)

  - ### getAmountUnscaled

    public java.math.BigDecimal getAmountUnscaled()

  - ### setAmountUnscaled

    public void setAmountUnscaled​(java.math.BigDecimal amountUnscaled)

  - ### getAmountScaled

    public java.math.BigDecimal getAmountScaled()

  - ### setAmountScaled

    public void setAmountScaled​(java.math.BigDecimal amountScaled)

  - ### getCount

    public java.math.BigDecimal getCount()

  - ### setCount

    public void setCount​(java.math.BigDecimal count)

  - ### getCountNumsAfterComma

    public int getCountNumsAfterComma()

  - ### setCountNumsAfterComma

    public void setCountNumsAfterComma​(int countNumsAfterComma)

  - ### getCountNumsRoundingMode

    public int getCountNumsRoundingMode()

  - ### setCountNumsRoundingMode

    public void setCountNumsRoundingMode​(int countNumsRoundingMode)

  - ### getUnit

    public java.lang.String getUnit()

  - ### setUnit

    public void setUnit​(java.lang.String unit)

  - ### getUnitCode

    public java.lang.String getUnitCode()

  - ### setUnitCode

    public void setUnitCode​(java.lang.String unitCode)

  - ### getExtractPositions

    public java.util.List<DocumentPosition> getExtractPositions()

  - ### setExtractPositions

    public void setExtractPositions​(java.util.List<DocumentPosition> extractPositions)

  - ### getPositionSpec

    public DocumentPositionSpec getPositionSpec()

  - ### setPositionSpec

    public void setPositionSpec​(DocumentPositionSpec positionSpec)

  - ### isInTotal

    public boolean isInTotal()

  - ### setInTotal

    public void setInTotal​(boolean inSumm)

  - ### isAwlz

    public boolean isAwlz()

  - ### setAwlz

    public void setAwlz​(boolean awlz)

  - ### getParams

    public java.util.Map<java.lang.String,​java.lang.String> getParams()

  - ### setParams

    public void setParams​(java.util.Map<java.lang.String,​java.lang.String> params)